For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetAccountInfo
        • POSTSetAccountInfo
        • POSTSetChildAccountInfo
        • POSTGetCurrencyRate
        • POSTGetResourcePrice
        • POSTGetSubscriptionPrice
        • POSTGetChildrenAccounts
        • POSTGetMoneyAmountToCharge
        • POSTChangeAccountPlan
        • POSTGetAccountPlans
        • POSTGetAvailablePlans
        • POSTGetAccountDocuments
        • POSTGetAccountVerifications
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceAccounts

GetAvailablePlans

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetAvailablePlans
POST
/platform_api/GetAvailablePlans
$curl -X POST https://api.voximplant.com/platform_api/GetAvailablePlans \
> -H "Authorization: Bearer <token>"
200Allowed IM plans to change
1{
2 "result": [
3 {
4 "plan_subscription_template_id": 185,
5 "plan_type": "IM",
6 "plan_name": "IM small",
7 "periodic_charge": 9170.604,
8 "packages": [
9 {
10 "price_group_id": [
11 7561
12 ],
13 "package_name": "small",
14 "may_overrun": true,
15 "overrun_price": 3.668242,
16 "overrun_resources": 100,
17 "package_size": 500000
18 }
19 ]
20 },
21 {
22 "plan_subscription_template_id": 186,
23 "plan_type": "IM",
24 "plan_name": "IM medium",
25 "periodic_charge": 91706.04,
26 "packages": [
27 {
28 "price_group_id": [
29 7561
30 ],
31 "package_name": "medium",
32 "may_overrun": true,
33 "overrun_price": 0.275118,
34 "overrun_resources": 100,
35 "package_size": 10000000
36 }
37 ]
38 }
39 ]
40}

Gets the allowed plans to change.

Example request: Get allowed IM plans to change.

Was this page helpful?
Previous

GetAccountPlans

Next

GetAccountDocuments

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

plan_typelist of stringsOptional

The plan type list separated by semicolons (;). The possible values are IM, MAU

plan_subscription_template_idlist of integersOptional

The plan ID list separated by semicolons (;)

Response

Successful response
resultlist of objects